
Redmine - Feature #15367

Replace outdated awesome_nested_set by gem

2013-11-15 18:00 - Markus Wulftange

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The current ‘awesome_nested_set’ plugin is outdated and lacks of important improvements such as scoped deletion. This plugin

could be removed from the repository and be replaced by the ‘awesome_nested_set’ gem (

http://rubygems.org/gems/awesome_nested_set).

Related issues:

Related to Redmine - Feature #14534: Upgrade to Rails 4.2 Closed

History

#1 - 2014-01-29 09:53 - Markus Wulftange

- Status changed from New to Resolved

Resolved with r12734.

#2 - 2014-01-30 02:47 - Toshi MARUYAMA

- Related to Feature #14534: Upgrade to Rails 4.2 added

#3 - 2014-01-30 03:14 - Toshi MARUYAMA

- Status changed from Resolved to Closed

awesome_nested_set 2-1-stable was heavy refactored and has regression (Pull request 235).

As I described at #14534#note-10, master branch requires Rails 4.0.

awesome_nested_set have not released 3.0.0 for Rails 4.0.

awesome_nested_set refused Rails4 DEPRECATION WARNING for 2.1.6. (Pull request 230/231/232)

If awesome_nested_set will not release 3.0.0 for Rails 4.0 before Redmine Rails 4.0 porting,

we need to import awesome_nested_set 2.1.6 and modify again.

#4 - 2014-01-30 03:17 - Toshi MARUYAMA

I cannot include URLs in previous post because of SPAM detection.

See pull requests.

https://github.com/collectiveidea/awesome_nested_set/pulls
